<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:param name="title" value="Team Overview" />
	
	<ui:define name="content">
		<div class="layout-wrapper">
			<div class="layout">
				<div class="content-header">
					<h1>Teams</h1>
					<p>Select a team to see it's projects, members and more.</p>
				</div>
				<div class="card details">
					<div class="content-body">
						<p:messages id="messages" globalOnly="true" showDetail="false">
							<p:autoUpdate />
						</p:messages>
						<div class="team-select">
							<h:form id="teamSelectForm">
								<p:selectOneMenu id="teamSelect" value="#{teamsOverviewBacking.selectedId}" effect="none">
									<f:selectItem itemLabel="Select a team" itemValue="0" noSelectionOption="true" />
									<f:selectItems value="#{teamsOverviewBacking.teams}"
										var="t" 
										itemLabel="#{t.name}" 
										itemValue="#{t.id}" />
									<p:ajax update="details" listener="#{teamsOverviewBacking.onTeamSelect()}" />
									<p:ajax event="itemSelect" update=":btnUpdate" listener="#{teamsOverviewBacking.onItemSelect}" />
									<p:ajax event="itemSelect" update=":btnDelete" listener="#{teamsOverviewBacking.onItemSelect}" />
								</p:selectOneMenu>
							</h:form>
						</div>
						<div class="team-details">
							<p:outputPanel id="details">
								
								<div class="team-info">
									<p>Name: </p>
									<div class="data">
										<p:outputLabel id="teamName" value="#{teamsOverviewBacking.selectedTeam.name}" />
									</div>
								</div>
								
								<div class="team-info">
									<p>Description: </p>
									<div class="data">
										<p:outputLabel id="teamDescription" value="#{teamsOverviewBacking.selectedTeam.description}" />
									</div>
								</div>
								
								<div class="team-info">
									<p>Members: </p>
									<ul>
										<ui:repeat var="m" value="#{teamsOverviewBacking.members}">
											<li>#{m.firstName} #{m.lastName}</li>
										</ui:repeat>
									</ul>
								</div>
								
								<div class="team-info">
									<p>Projects:</p>
									<ul>
										<ui:repeat var="p" value="#{teamsOverviewBacking.projects}">
											<li>#{p.name}</li>
										</ui:repeat>	
									</ul>
								</div>
							</p:outputPanel>
						</div>
						<div class="btn-container">
							<p:linkButton id="btnUpdate" 
								value="Update" 
								outcome="team-update.xhtml" 
								includeViewParams="true"
								styleClass="form-button"
								disabled="#{teamsOverviewBacking.disabled}">
								<f:param name="teamId" value="#{teamsOverviewBacking.selectedId}" />
							</p:linkButton>
							<p:commandButton id="btnDelete" 
								value="Delete"
								action="#{teamsOverviewBacking.deleteTeam}"
								update="teamSelectForm details"
								styleClass="form-button btn-delete"
								disabled="#{teamsOverviewBacking.disabled}">
								<p:confirm header="Confirm deletion" message="Are you sure?" icon="fas fa-exclamation-circle" />
							</p:commandButton>
						</div>
						
						<p:confirmDialog global="true">
							<p:commandButton value="Confirm" styleClass="ui-confirmdialog-yes" icon="fas fa-check" />
							<p:commandButton value="Cancel" styleClass="ui-confirmdialog-no" icon="fas fa-times" />
						</p:confirmDialog>
						
					</div>
				</div>
			</div>
		</div>
	</ui:define>
	
</ui:composition>